Network notification plugin is broken

Bug #1243292 reported by Mehdi Abaakouk on 2013-10-22
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ceilometer
Confirmed
Medium
Sphoorti

Bug Description

Hi,

According devstack-gate, the network notification plugin seems broken:

2013-10-21 20:58:33.490 5337 INFO ceilometer.network.notifications [-] network notification {u'_context_roles': [u'admin'], u'priority': u'INFO', u'_context_read_deleted': u'no', u'event_type': u'router.update.start', u'timestamp': u'2013-10-21 20:58:15.582399', u'_context_tenant_id': u'4eaae48b73cb437f945d31e4e45abd76', u'payload': {u'router': {u'external_gateway_info': {u'network_id': u'50692cce-bbdc-4f2d-8594-23beee5685e0'}}, u'id': u'ed26bd43-5711-406c-9214-44bcfe836ce3'}, u'_unique_id': u'80e803aae45f4b9fabcf865cf77c798b', u'_context_is_admin': True, u'_context_project_id': u'4eaae48b73cb437f945d31e4e45abd76', u'_context_timestamp': u'2013-10-21 20:58:15.581245', u'_context_user_id': u'128fa950e5f6488380f23f9b4b392b8d', u'publisher_id': u'network.devstack-precise-hpcloud-az1-595475', u'message_id': u'07b95e02-8f7d-4171-8e92-48f41e3f4b59'}
2013-10-21 20:58:33.490 5337 AUDIT ceilometer.pipeline [-] Flush pipeline meter_pipeline
2013-10-21 20:58:33.490 5337 AUDIT ceilometer.pipeline [-] Flush pipeline cpu_pipeline
2013-10-21 20:58:33.490 5337 ERROR stevedore.extension [-] error calling 'router': 'tenant_id'
2013-10-21 20:58:33.490 5337 ERROR stevedore.extension [-] 'tenant_id'
2013-10-21 20:58:33.490 5337 TRACE stevedore.extension Traceback (most recent call last):
2013-10-21 20:58:33.490 5337 TRACE stevedore.extension File "/usr/local/lib/python2.7/dist-packages/stevedore/extension.py", line 171, in _invoke_one_plugin
2013-10-21 20:58:33.490 5337 TRACE stevedore.extension response_callback(func(e, *args, **kwds))
2013-10-21 20:58:33.490 5337 TRACE stevedore.extension File "/opt/stack/new/ceilometer/ceilometer/collector/service.py", line 293, in _process_notification_for_ext
2013-10-21 20:58:33.490 5337 TRACE stevedore.extension p(list(ext.obj.to_samples(notification)))
2013-10-21 20:58:33.490 5337 TRACE stevedore.extension File "/opt/stack/new/ceilometer/ceilometer/network/notifications.py", line 89, in process_notification
2013-10-21 20:58:33.490 5337 TRACE stevedore.extension project_id=message['payload']['tenant_id'],
2013-10-21 20:58:33.490 5337 TRACE stevedore.extension KeyError: 'tenant_id'

Complete trace:
http://logs.openstack.org/29/43829/13/check/gate-tempest-devstack-vm-neutron-large-ops/49983d5/logs/screen-ceilometer-collector.txt.gz?level=TRACE

Cheers,

Mehdi Abaakouk (sileht) on 2013-10-23
Changed in ceilometer:
assignee: nobody → Mehdi Abaakouk (sileht)
Mehdi Abaakouk (sileht) wrote :
Changed in ceilometer:
importance: Undecided → Medium
summary: - Network notification plugin seems broken
+ Network notification plugin is broken
Changed in ceilometer:
assignee: Mehdi Abaakouk (sileht) → Sphoorti (sphoorti-joglekar)
Changed in ceilometer:
status: New → In Progress
Changed in ceilometer:
status: In Progress → Fix Released
Young Jun kIM (conduction) wrote :

Not Fixed!!!
I'm Sorry for status mischanged
Not yet Inprogress

Mehdi Abaakouk (sileht) on 2013-12-10
Changed in ceilometer:
status: Fix Released → Confirmed
Steven Hardy (shardy) wrote :

Same/similar issue?

http://logs.openstack.org/62/72762/14/check/gate-tempest-dsvm-neutron-large-ops/10528b7/logs/screen-ceilometer-anotification.txt.gz#_2014-03-07_09_51_35_280

2014-03-07 09:51:35.280 25021 ERROR stevedore.extension [-] error calling 'router': 'id'
2014-03-07 09:51:35.280 25021 ERROR stevedore.extension [-] 'id'
2014-03-07 09:51:35.280 25021 TRACE stevedore.extension Traceback (most recent call last):
2014-03-07 09:51:35.280 25021 TRACE stevedore.extension File "/opt/stack/new/stevedore/stevedore/extension.py", line 247, in _invoke_one_plugin
2014-03-07 09:51:35.280 25021 TRACE stevedore.extension response_callback(func(e, *args, **kwds))
2014-03-07 09:51:35.280 25021 TRACE stevedore.extension File "/opt/stack/new/ceilometer/ceilometer/notification.py", line 165, in _process_notification_for_ext
2014-03-07 09:51:35.280 25021 TRACE stevedore.extension p(list(ext.obj.to_samples(notification)))
2014-03-07 09:51:35.280 25021 TRACE stevedore.extension File "/opt/stack/new/ceilometer/ceilometer/network/notifications.py", line 91, in process_notification
2014-03-07 09:51:35.280 25021 TRACE stevedore.extension resource_id=message['payload']['id'],
2014-03-07 09:51:35.280 25021 TRACE stevedore.extension KeyError: 'id'
2014-03-07 09:51:35.280 25021 TRACE stevedore.extension

Malleshi C N (malleshicn) wrote :

Hello All,
below error is also related to same bug ?

==> ceilometer-collector.log <==
2014-03-25 05:40:56.308 1047 ERROR stevedore.extension [-] error calling 'port': 'tenant_id'
2014-03-25 05:40:56.308 1047 ERROR stevedore.extension [-] 'tenant_id'
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension Traceback (most recent call last):
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension File "/usr/lib/python2.7/dist-packages/stevedore/extension.py", line 145, in _invoke_one_plugin
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension response_callback(func(e, *args, **kwds))
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension File "/usr/lib/python2.7/dist-packages/ceilometer/collector/service.py", line 293, in _process_notification_for_ext
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension p(list(ext.obj.to_samples(notification)))
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension File "/usr/lib/python2.7/dist-packages/ceilometer/network/notifications.py", line 89, in process_notification
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension project_id=message['payload']['tenant_id'],
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension KeyError: 'tenant_id'
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers